sudo apt-get install virtualbox-6.1:amd64; em arquitetura i386 DEbian 10

1. sudo apt-get install virtualbox-6.1:amd64; em arquitetura i386 DEbian 10

rodrigo de azevedo gutierrez
finger123

(usa Debian)

Enviado em 20/02/2021 - 08:21h

Estou tentando instalar a versão 6.1 do virtualbox no debian 10 com arquitetura de processador i386 sendo o virtualbox 6.1 somente na arquitetura amd64.
Ao instalar recebo o seguinte erro:

[email protected]:/home/rodrigo# sudo apt-get install virtualbox-6.1:amd64;
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Alguns pacotes não puderam ser instalados. Isto pode significar que
você solicitou uma situação impossível ou, se você está usando a
distribuição instável, que alguns pacotes requeridos não foram
criados ainda ou foram retirados da "Incoming".
A informação a seguir pode ajudar a resolver a situação:

Os pacotes a seguir têm dependências desencontradas:
virtualbox-6.1:amd64 : Depende: libc6:amd64 (>= 2.28) mas não é instalável
Depende: libcurl4:amd64 (>= 7.16.2) mas não é instalável
Depende: libdevmapper1.02.1:amd64 (>= 2:1.02.97) mas não é instalável
Depende: libgcc1:amd64 (>= 1:3.0) mas não é instalável
Depende: libgl1:amd64 mas não é instalável
Depende: libopus0:amd64 (>= 1.1) mas não é instalável
Depende: libpng16-16:amd64 (>= 1.6.2-1) mas não é instalável
Depende: libqt5core5a:amd64 (>= 5.11.0~rc1) mas não é instalável
Depende: libqt5gui5:amd64 (>= 5.4.0) mas não é instalável
Depende: libqt5opengl5:amd64 (>= 5.0.2) mas não é instalável
Depende: libqt5printsupport5:amd64 (>= 5.0.2) mas não é instalável
Depende: libqt5widgets5:amd64 (>= 5.11.0~rc1) mas não é instalável
Depende: libqt5x11extras5:amd64 (>= 5.6.0) mas não é instalável
Depende: libsdl1.2debian:amd64 (>= 1.2.11) mas não é instalável
Depende: libssl1.1:amd64 (>= 1.1.1) mas não é instalável
Depende: libstdc++6:amd64 (>= 5.2) mas não é instalável
Depende: libvpx5:amd64 (>= 1.6.0) mas não é instalável
Depende: libx11-6:amd64 mas não é instalável
Depende: libxcb1:amd64 mas não é instalável
Depende: libxcursor1:amd64 (> 1.1.2) mas não é instalável
Depende: libxext6:amd64 mas não é instalável
Depende: libxml2:amd64 (>= 2.7.4) mas não é instalável
Depende: libxt6:amd64 mas não é instalável
Depende: zlib1g:amd64 (>= 1:1.1.4) mas não é instalável
Depende: python:amd64 (< 2.8) mas não é instalável
Depende: python:amd64 (>= 2.7) mas não é instalável
Recomenda: libasound2:amd64 mas não é instalável
Recomenda: libpulse0:amd64 mas não é instalável
Recomenda: libsdl-ttf2.0-0:amd64 mas não é instalável
Recomenda: linux-headers-generic:amd64 mas não é instalável ou
linux-headers-generic-pae:amd64 mas não é instalável ou
linux-headers-686-pae:amd64 mas não é instalável ou
linux-headers-amd64:amd64 mas não é instalável ou
linux-headers-2.6-686:amd64 mas não é instalável ou
linux-headers-2.6-amd64:amd64 mas não é instalável ou
linux-headers:amd64 mas não é instalável
Recomenda: linux-image:amd64 mas não é instalável
Recomenda: gcc:amd64 mas não é instalável
Recomenda: binutils:amd64 mas não é instalável
Recomenda: pdf-viewer:amd64 mas não é instalável
E: Impossível corrigir problemas, você manteve (hold) pacotes quebrados.



  


2. Re: sudo apt-get install virtualbox-6.1:amd64; em arquitetura i386 DEbian 10

Samuel Leonardo
SamL

(usa XUbuntu)

Enviado em 20/02/2021 - 09:25h

Você está tentando instalar um programa 64 bits num sistema que usa SO 32 bits? É impossível isso funcionar, vai ter que instalar um sistema 64 bits (isso se seu processador tiver suporte).

____________________________________________
https://nerdki.blogspot.com/ acessa aí vai lá, é grátis!
Capeta (demo) do meu trabalho:
https://github.com/cpusam
"com o bug fix vem a perfeição"


3. Re: sudo apt-get install virtualbox-6.1:amd64; em arquitetura i386 DEbian 10

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 20/02/2021 - 10:12h

-não dá para instalar um programa-64bits num linux-32bits
-se seu processador é 32bits você terá que usar linux e programas 32 bits que estão cada vez mais raros



4. plataforma

rodrigo de azevedo gutierrez
finger123

(usa Debian)

Enviado em 20/02/2021 - 19:58h

grato eu só me liguei nesse erro simples após pedir ajuda, e olha que eu tentei soluções diferentes.


5. Re: sudo apt-get install virtualbox-6.1:amd64; em arquitetura i386 DEbian 10

João Cláudio de Alcântara
aguamole

(usa Lubuntu)

Enviado em 21/02/2021 - 09:45h

Com esse comando você vai saber se você pode instalar o Debian de 64bits:
$ [[ $(lscpu | grep Arquitetura | cut -dx -f2) == '86_64' ]] && echo 'Seu CPU é de 64bits' || echo 'Seu CPU é 32bits' 
Se disser que o seu CPU é de 64bits então ele suporta o Debian 64bits e caso de 32bits você tera que comprar outro computador para rodar o Debian 64bits.

CPU i5-8400 GTX 750 SofRaid 4xSSD 16GB DDR4 mesmo assim uso Lubuntu.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts